<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>{{ test_name }} - Результаты</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">
    <style>
        .correct { color: green; }
        .incorrect { color: red; }
        .missed-correct { color: orange; }
        .no-answer { color: orange; }
        .hidden { display: none; }
    </style>
</head>
<body style="font-family: Arial, sans-serif;">
    <h1>Результаты теста {{ test_name }}</h1>
    <label style="font-size: 25px;">
        <input type="checkbox" id="toggleIncorrect" style="transform: scale(2);"> Показывать только неверные
    </label>
    <ul id="resultsList">
        {% for question_num, question_id, result in results %}
            <li class="{% if not result[0] %}no-answer{% elif result and result[1] %}correct{% else %}incorrect{% endif %}">
                <strong>Вопрос {{ question_num }}: {{ ' '.join(questions[question_id.split('_')[0]][question_id]['question'][0].split(' ')[2:]) }}</strong><br>
                {% for q in questions[question_id.split('_')[0]][question_id]['question'][1:] %}
                    <strong>{{ q }}</strong><br/>
                {% endfor %}
                {% if not result[0] %}
                    <ul>
                        <li class="no-answer">Ответ не дан</li>
                    </ul>
                {% endif %}
                {% if result and questions[question_id.split('_')[0]][question_id]['matching'] %}
                    {% for key, value in questions[question_id.split('_')[0]][question_id]['matching'].items() %}
                        <div>
                            <span>{{ key }}</span>
                            <span class="{% if result and result[0][key] == value %}correct{% else %}incorrect{% endif %}">
                                {{ result[0][key] }}
                            </span>
                            {% if result[0][key] != value %}
                                <br><span class="correct">Правильный ответ: {{ value }}</span>
                            {% endif %}
                        </div>
                    {% endfor %}
                {% elif result[0] %}
                    <em>Ваши ответы:</em>
                    <ul>
                        {% for answer in result[0] %}
                            <li class="{% if answer in questions[question_id.split('_')[0]][question_id]['correct'] %}correct{% else %}incorrect{% endif %}">
                                {{ answer }}
                            </li>
                        {% endfor %}
                    </ul>
                    {% set missed_correct = [] %}
                    {% for answer in questions[question_id.split('_')[0]][question_id]['correct'] %}
                        {% if answer not in result[0] %}
                            {% set _ = missed_correct.append(answer) %}
                        {% endif %}
                    {% endfor %}
                    {% if missed_correct %}
                        <em>Правильные ответы, которые были не отмечены:</em>
                        <ul>
                            {% for answer in missed_correct %}
                                <li class="missed-correct">{{ answer }}</li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                {% endif %}
            </li>
        {% endfor %}
    </ul>
    <a href="{{ url_for('reset', test_name=test_name) }}">Завершить</a>
    <script>
        document.getElementById('toggleIncorrect').addEventListener('change', function() {
            var resultsList = document.getElementById('resultsList');
            for (var i = 0; i < resultsList.children.length; i++) {
                if (resultsList.children[i].classList.contains('correct') || resultsList.children[i].classList.contains('no-answer')) {
                    resultsList.children[i].classList.toggle('hidden');
                }
            }
        });
    </script>
</body>
</html>
